%define workgroup Astro
%define workgrouppath x86_64/sites/Fermi/workgroups
%define baseversion lts45
%define realversion lts4rolling
%define release 1
%define sourcepath /mnt/src
 
Summary: The %{workgroup} workgroup tag and files
Name: %{workgroup}-tree
Version: %{baseversion}
Release: %{release}
License: GPL
Group: Fermi
Requires: %{workgroup}-tag
BuildRoot: %{_tmppath}/%{name}-root
Epoch: 21

%description 
This workgroup creates the workgroup tag file, as well as installs the 
workgroup directory tree.

%install
mkdir -p $RPM_BUILD_ROOT/etc
/bin/cp -rp %{sourcepath}/%{realversion}/%{workgrouppath}/%{workgroup} $RPM_BUILD_ROOT/etc/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%post
#Determin if we are being run inside of yum
PARENT="$(cat /proc/self/stat | cut -d' ' -f5)"
grep -q yum /proc/$PARENT/cmdline
if [ $? -eq 0 ] ; then
	#We are being run inside of yum, do operations
	# Determine if we have a /etc/%{workgroup}/scripts/before.rpms.yum.sh script to run and if so run it.
	cd / 
	if [ -x /etc/%{workgroup}/scripts/before.rpms.yum.sh ] ; then
	   /etc/%{workgroup}/scripts/before.rpms.yum.sh  > /etc/%{workgroup}/before.rpms.log 2>&1 
	fi
	
	# We no longer install the rpm's in yum anymore
	# This functionality was breaking yum
	# and not really needed.

	touch /etc/%{workgroup}/after.rpms.log
	# Determine if we have a /etc/%{workgroup}/scripts/after.rpms.yum.sh script to run and if so run it.
	if [ -x /etc/%{workgroup}/scripts/after.rpms.yum.sh ] ; then
	   ( /etc/%{workgroup}/scripts/after.rpms.yum.sh  >> /etc/%{workgroup}/after.rpms.log 2>&1 )
	else
	   echo "No after.rpms.yum.sh found" >> /tmp/after.rpms.log 2>&1
	fi
fi

%files
/etc/*
